#!/bin/sh
for i in `cat /proc/cmdline` ; do
	case "$i" in
		fmon*)
			echo F-mon = $i
			export $i
			;;
		platform*)
			echo Platform = $i
			export $i
			;;
	esac
done

cd /mnt/storage/update-tral3/
. ./fmon_update.sh
cd /mnt/storage/update-tral3/
CV=`cat /etc/version`
NV=`cat version`

echo "Tral3 current version $CV new version $NV"

if [ "$CV" == "$NV" ] ; then
	echo "Allready updated"
	IPK_PATH=/mnt/storage/ipk/
	if [ -d $IPK_PATH ] ; then
		echo "IPK package dir found"
		IPK_LIST=`ls ${IPK_PATH}*.ipk 2> /dev/null`
		if [ -z "${IPK_LIST}" ] ; then echo "No packages" ; exit; fi
		for i in ${IPK_LIST}; do
			j=`basename $i .ipk`
			ipk_name=`echo $j | cut -f 1 -d '_'`
			ipk_ver=`echo $j | cut -f 2 -d '_'`
			echo -n "package $ipk_name version $ipk_ver "
			PKG_STAT=`ipkg status telneton | grep Version | cut -d ' ' -f 2`
			if [ -z "$PKG_STAT" ] ; then 
				echo "not installed - installng"
				ipkg install $i
			else
				echo "installed version $PKG_STAT"
				if [ "$ipk_ver" != "$PKG_STAT" ] ; then
					echo "installing ver $ipk_ver"
					ipkg install $i
				else
					echo "same version"
				fi
			fi
		done
	fi
	exit
fi

echo "Updating TRAL3"

mkdir -p /tmp/bin
mkdir -p /tmp/lib
mkdir -p /tmp/tmp

cp tral3.jffs2 /tmp
cp tral3.jffs2.md5 /tmp
cp xtral3.sh /tmp/bin/

cp /bin/busybox /tmp/bin
cd /tmp/bin
ln -s /bin/busybox ls
ln -s /bin/busybox dd
ln -s /bin/busybox reboot
ln -s /bin/busybox poweroff
ln -s /bin/busybox sh
ln -s /bin/busybox echo
ln -s /bin/busybox mount
ln -s /bin/busybox umount
ln -s /bin/busybox sleep
ln -s /bin/busybox sync
ln -s /bin/busybox md5sum

cp /lib/ld* /tmp/lib/
cp /lib/lib* /tmp/lib/

chmod a+x /tmp/bin/xtral3.sh

export PATH=/bin
export LD_LIBRARY_PATH=/lib
mount -o ro,remount /
mkdir /tmp/dev
cp -af /dev/* /tmp/dev/
chroot /tmp /bin/busybox sh /bin/xtral3.sh
sleep 3660

